### Method

# Gtk MenuButton set_direction

#### Declaration [src]

    void
    gtk_menu_button_set_direction (
      GtkMenuButton* menu_button,
      GtkArrowType direction
    )

#### Description [src]

Sets the direction in which the popup will be popped up.

If the button is automatically populated with an arrow icon, its direction will be changed to match.

If the does not fit in the available space in the given direction, GTK will its best to keep it inside the screen and fully visible.

If you pass `GTK_ARROW_NONE` for a `direction`, the popup will behave as if you passed `GTK_ARROW_DOWN` (although you won’t see any arrows).

Sets property | `Gtk.MenuButton:direction`

#### Parameters

`direction` | `GtkArrowType`
| A `GtkArrowType`.